<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="RDS" 
Name="LISTS_ENTITY" 
Description="Списки" 
PrimaryKey="ListsEntityID" 
DNAttributes="{ListName}" 
DisplayName="{0}">
  <Fields>
    <Attribute Name="ListsEntityID" Index="8430001" Type="guid" Description="Идентификатор" />
    <Attribute Name="ListName" Index="8430002" Type="string" Description="Наименование списка" Required="1" />
    <Attribute Name="PreferedFilter" Index="8430005" Type="string" Description="Предустановленный фильтр" CharacterMaximumLength="512" />
    <Attribute Name="HiddenFilter" Index="8430006" Type="string" Description="Скрытый фильтр" CharacterMaximumLength="512" />
    <Attribute Name="Context" Index="8430007" Type="string" Description="Контекст" />
    <Attribute Name="MultiSelect" Index="8430008" Type="bool" Description="Множественное выделение" DefaultValue="0" />
    <Parent Name="Entities" Index="8430004" Type="VCLib.ENTITIES" Description="Сущности метаданных" />
    <Child Name="ListsEntityUsersGroups" Index="8430003" Type="RDS.LISTS_ENTITY_USERS_GROUP" Description="Связь списков с группой пользователей" ChildAttribute="ListsEntity" />
    <Choice Name="ColorStyle" Index="8430009" Description="Стиль подсветки">
      <Item Name="COLOR_TYPE" Index="0" />
      <Item Name="COLOR_TYPE2" Index="1" />
    </Choice>
  </Fields>
  <DbMapping>
    <Table name="T_LISTS_ENTITY">
      <Map Name="ListsEntityID" Column="ListsEntityID" />
      <Map Name="ListName" Column="ListName" />
      <Map Name="PreferedFilter" Column="PreferedFilter" />
      <Map Name="HiddenFilter" Column="HiddenFilter" />
      <Map Name="Context" Column="Context" />
      <Map Name="MultiSelect" Column="MultiSelect" />
      <Map Name="Entities" Column="Entities" />
      <Map Name="ColorStyle" Column="ColorStyle" />
    </Table>
  </DbMapping>
</Entity>